/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:lsp;numlib.lsp                                    */
#include <ecl/ecl-cmp.h>
#include "/builddir/build/BUILD/ecl-9.12.3/build/lsp/numlib.h"
/*	function definition for ISQRT                                 */
cl_object cl_isqrt(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(type_of(V1)==t_fixnum||type_of(V1)==t_bignum)){
	goto L2;}
	if(ecl_number_compare(V1,MAKE_FIXNUM(0))>=0){
	goto L1;}
L2:;
	(void)cl_error(5,ECL_SYM("TYPE-ERROR",868),ECL_SYM("DATUM",1185),V1,ECL_SYM("EXPECTED-TYPE",1203),ECL_SYM("UNSIGNED-BYTE",883)) /*  ERROR */;
L1:;
	if(!(ecl_zerop(V1))){
	goto L7;}
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L7:;
	{cl_fixnum V2;                            /*  N               */
	V2= ((cl_fixnum)ecl_integer_length(V1));
	{cl_object V3;                            /*  X               */
	cl_object V4;                             /*  Y               */
	T0= ecl_ceiling2(MAKE_FIXNUM(V2),MAKE_FIXNUM(2));
	V3= cl_ash(MAKE_FIXNUM(1),T0)             /*  ASH             */;
	V4= Cnil;
	goto L14;
L13:;
	V4= ecl_floor2(V1,V3);
	if(!(ecl_number_compare(V3,V4)<=0)){
	goto L18;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L18:;
	T0= ecl_plus(V3,V4);
	V3= ecl_floor2(T0,MAKE_FIXNUM(2));
L14:;
	goto L13;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for PHASE                                 */
cl_object cl_phase(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ecl_zerop(V1))){
	goto L2;}
	if(!((V1)==(MAKE_FIXNUM(0)))){
	goto L5;}
	value0=cl_core.singlefloat_zero; cl_env_copy->nvalues=1;
	return value0;
L5:;
	T0= cl_realpart(V1)                       /*  REALPART        */;
	value0=cl_float(2,MAKE_FIXNUM(0),T0)      /*  FLOAT           */;
	return value0;
L2:;
	T0= cl_imagpart(V1)                       /*  IMAGPART        */;
	T1= cl_realpart(V1)                       /*  REALPART        */;
	value0=cl_atan(2,T0,T1)                   /*  ATAN            */;
	return value0;
}}
/*	function definition for SIGNUM                                */
cl_object cl_signum(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ecl_zerop(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= cl_abs(V1)                            /*  ABS             */;
	value0=ecl_divide(V1,T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CIS                                   */
cl_object cl_cis(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_times(ecl_symbol_value(VV[0]),V1);
	value0=cl_exp(T0)                         /*  EXP             */;
	return value0;
}}
/*	function definition for ASIN                                  */
cl_object cl_asin(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L2;}
	value0=L1complex_asin(V1)                 /*  COMPLEX-ASIN    */;
	return value0;
L2:;
	{cl_object V2;                            /*  X               */
	long double V3;                           /*  XR              */
	V2= cl_float(1,V1)                        /*  FLOAT           */;
	V3= ecl_to_long_double(cl_float(2,V2,VV[1]) /*  FLOAT         */);
	if(!((   -1.    )<=(V3))){
	goto L7;}
	if(!((V3)<=(    1.    ))){
	goto L7;}
	T0= ecl_make_longfloat(asinl(V3));
	value0=cl_float(2,T0,V2)                  /*  FLOAT           */;
	return value0;
L7:;
	value0=L1complex_asin(V2)                 /*  COMPLEX-ASIN    */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ASIN                          */
static cl_object L1complex_asin(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  SQRT-1-Z        */
	cl_object V3;                             /*  SQRT-1+Z        */
	T0= ecl_minus(MAKE_FIXNUM(1),V1);
	V2= cl_sqrt(T0)                           /*  SQRT            */;
	T0= ecl_plus(MAKE_FIXNUM(1),V1);
	V3= cl_sqrt(T0)                           /*  SQRT            */;
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= ecl_times(V2,V3);
	T2= cl_realpart(T1)                       /*  REALPART        */;
	T3= cl_atan(2,T0,T2)                      /*  ATAN            */;
	T4= cl_conjugate(V2)                      /*  CONJUGATE       */;
	T5= ecl_times(T4,V3);
	T6= cl_imagpart(T5)                       /*  IMAGPART        */;
	T7= cl_asinh(T6)                          /*  ASINH           */;
	value0=cl_complex(2,T3,T7)                /*  COMPLEX         */;
	return value0;
	}
}}
/*	function definition for ACOS                                  */
cl_object cl_acos(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L2;}
	value0=L2complex_acos(V1)                 /*  COMPLEX-ACOS    */;
	return value0;
L2:;
	{cl_object V2;                            /*  X               */
	long double V3;                           /*  XR              */
	V2= cl_float(1,V1)                        /*  FLOAT           */;
	V3= ecl_to_long_double(cl_float(2,V2,VV[1]) /*  FLOAT         */);
	if(!((   -1.    )<=(V3))){
	goto L7;}
	if(!((V3)<=(    1.    ))){
	goto L7;}
	T0= ecl_make_longfloat(acosl(V3));
	T1= cl_float(1,V2)                        /*  FLOAT           */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT           */;
	return value0;
L7:;
	value0=L2complex_acos(V2)                 /*  COMPLEX-ACOS    */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ACOS                          */
static cl_object L2complex_acos(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  SQRT-1+Z        */
	cl_object V3;                             /*  SQRT-1-Z        */
	T0= ecl_plus(MAKE_FIXNUM(1),V1);
	V2= cl_sqrt(T0)                           /*  SQRT            */;
	T0= ecl_minus(MAKE_FIXNUM(1),V1);
	V3= cl_sqrt(T0)                           /*  SQRT            */;
	T0= cl_realpart(V3)                       /*  REALPART        */;
	T1= cl_realpart(V2)                       /*  REALPART        */;
	T2= cl_atan(2,T0,T1)                      /*  ATAN            */;
	T3= ecl_times(MAKE_FIXNUM(2),T2);
	T4= cl_conjugate(V2)                      /*  CONJUGATE       */;
	T5= ecl_times(T4,V3);
	T6= cl_imagpart(T5)                       /*  IMAGPART        */;
	T7= cl_asinh(T6)                          /*  ASINH           */;
	value0=cl_complex(2,T3,T7)                /*  COMPLEX         */;
	return value0;
	}
}}
/*	function definition for ASINH                                 */
cl_object cl_asinh(cl_object V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L2;}
	{cl_object V2;                            /*  IZ              */
	cl_object V3;                             /*  RESULT          */
	T0= cl_imagpart(V1)                       /*  IMAGPART        */;
	T1= ecl_negate(T0);
	T2= cl_realpart(V1)                       /*  REALPART        */;
	V2= cl_complex(2,T1,T2)                   /*  COMPLEX         */;
	V3= L1complex_asin(V2)                    /*  COMPLEX-ASIN    */;
	T0= cl_imagpart(V3)                       /*  IMAGPART        */;
	T1= cl_realpart(V3)                       /*  REALPART        */;
	T2= ecl_negate(T1);
	value0=cl_complex(2,T0,T2)                /*  COMPLEX         */;
	return value0;
	}
L2:;
	T0= ecl_make_longfloat(asinhl(ecl_to_long_double(V1)));
	T1= cl_float(1,V1)                        /*  FLOAT           */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT           */;
	return value0;
}}
/*	function definition for ACOSH                                 */
cl_object cl_acosh(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L2;}
	value0=L3complex_acosh(V1)                /*  COMPLEX-ACOSH   */;
	return value0;
L2:;
	{cl_object V2;                            /*  X               */
	double V3;                                /*  XR              */
	V2= cl_float(1,V1)                        /*  FLOAT           */;
	V3= ecl_to_double(V2);
	if(!((    1.    )<=(V3))){
	goto L7;}
	T0= ecl_make_longfloat(acoshl(((long double)V3)));
	T1= cl_float(1,V2)                        /*  FLOAT           */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT           */;
	return value0;
L7:;
	value0=L3complex_acosh(V2)                /*  COMPLEX-ACOSH   */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ACOSH                         */
static cl_object L3complex_acosh(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  SQRT-Z-1        */
	cl_object V3;                             /*  SQRT-Z+1        */
	T0= ecl_minus(V1,MAKE_FIXNUM(1));
	V2= cl_sqrt(T0)                           /*  SQRT            */;
	T0= ecl_plus(V1,MAKE_FIXNUM(1));
	V3= cl_sqrt(T0)                           /*  SQRT            */;
	T0= cl_conjugate(V2)                      /*  CONJUGATE       */;
	T1= ecl_times(T0,V3);
	T2= cl_realpart(T1)                       /*  REALPART        */;
	T3= cl_asinh(T2)                          /*  ASINH           */;
	T4= cl_imagpart(V2)                       /*  IMAGPART        */;
	T5= cl_realpart(V3)                       /*  REALPART        */;
	T6= cl_atan(2,T4,T5)                      /*  ATAN            */;
	T7= ecl_times(MAKE_FIXNUM(2),T6);
	value0=cl_complex(2,T3,T7)                /*  COMPLEX         */;
	return value0;
	}
}}
/*	function definition for ATANH                                 */
cl_object cl_atanh(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L2;}
	value0=L4complex_atanh(V1)                /*  COMPLEX-ATANH   */;
	return value0;
L2:;
	{cl_object V2;                            /*  X               */
	double V3;                                /*  XR              */
	V2= cl_float(1,V1)                        /*  FLOAT           */;
	V3= ecl_to_double(V2);
	if(!((   -1.    )<=(V3))){
	goto L7;}
	if(!((V3)<=(    1.    ))){
	goto L7;}
	T0= ecl_make_longfloat(atanhl(((long double)V3)));
	T1= cl_float(1,V2)                        /*  FLOAT           */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT           */;
	return value0;
L7:;
	value0=L4complex_atanh(V2)                /*  COMPLEX-ATANH   */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ATANH                         */
static cl_object L4complex_atanh(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_one_plus(V1);
	T1= cl_log(1,T0)                          /*  LOG             */;
	T2= ecl_minus(MAKE_FIXNUM(1),V1);
	T3= cl_log(1,T2)                          /*  LOG             */;
	T4= ecl_minus(T1,T3);
	value0=ecl_divide(T4,MAKE_FIXNUM(2)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FFLOOR                                */
cl_object cl_ffloor(cl_narg narg, cl_object V1, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(1);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=ecl_floor2(V1,V2);
	{
	cl_object V4;                             /*  I               */
	cl_object V5;                             /*  R               */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if(!(floatp(V5))){
	goto L5;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT           */;
	goto L3;
L5:;
	T0= cl_float(1,V4)                        /*  FLOAT           */;
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for FCEILING                              */
cl_object cl_fceiling(cl_narg narg, cl_object V1, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[3];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=ecl_ceiling2(V1,V2);
	{
	cl_object V4;                             /*  I               */
	cl_object V5;                             /*  R               */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if(!(floatp(V5))){
	goto L5;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT           */;
	goto L3;
L5:;
	T0= cl_float(1,V4)                        /*  FLOAT           */;
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for FTRUNCATE                             */
cl_object cl_ftruncate(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[3];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=ecl_truncate2(V1,V2);
	{
	cl_object V4;                             /*  I               */
	cl_object V5;                             /*  R               */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if(!(floatp(V5))){
	goto L5;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT           */;
	goto L3;
L5:;
	T0= cl_float(1,V4)                        /*  FLOAT           */;
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for FROUND                                */
cl_object cl_fround(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[3];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=ecl_round2(V1,V2);
	{
	cl_object V4;                             /*  I               */
	cl_object V5;                             /*  R               */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if(!(floatp(V5))){
	goto L5;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT           */;
	goto L3;
L5:;
	T0= cl_float(1,V4)                        /*  FLOAT           */;
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for LOGTEST                               */
cl_object cl_logtest(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= ecl_boole(ECL_BOOLAND,(V1),(V2));
	T1= ecl_make_bool(ecl_zerop(T0));
	value0=ecl_make_bool((T1)==Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BYTE                                  */
cl_object cl_byte(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=CONS(V1,V2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BYTE-SIZE                             */
cl_object cl_byte_size(cl_narg narg, cl_object V1, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_car(V1)                         /*  CAR             */;
	return value0;
}}
/*	function definition for BYTE-POSITION                         */
cl_object cl_byte_position(cl_narg narg, cl_object V1, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_cdr(V1)                         /*  CDR             */;
	return value0;
}}
/*	function definition for LDB                                   */
cl_object cl_ldb(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_byte_position(1,V1)                /*  BYTE-POSITION   */;
	T1= ecl_negate(T0);
	T2= cl_ash(V2,T1)                         /*  ASH             */;
	T3= cl_byte_size(1,V1)                    /*  BYTE-SIZE       */;
	T4= cl_ash(MAKE_FIXNUM(1),T3)             /*  ASH             */;
	T5= ecl_negate(T4);
	value0=ecl_boole(ECL_BOOLANDC2,(T2),(T5)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LDB-TEST                              */
cl_object cl_ldb_test(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_ldb(2,V1,V2)                       /*  LDB             */;
	T1= ecl_make_bool(ecl_zerop(T0));
	value0=ecl_make_bool((T1)==Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MASK-FIELD                            */
cl_object cl_mask_field(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_ldb(2,V1,V2)                       /*  LDB             */;
	T1= cl_byte_position(1,V1)                /*  BYTE-POSITION   */;
	value0=cl_ash(T0,T1)                      /*  ASH             */;
	return value0;
}}
/*	function definition for DPB                                   */
cl_object cl_dpb(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=3) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_mask_field(2,V2,V3)                /*  MASK-FIELD      */;
	T1= cl_byte_size(1,V2)                    /*  BYTE-SIZE       */;
	T2= cl_ash(MAKE_FIXNUM(1),T1)             /*  ASH             */;
	T3= ecl_negate(T2);
	T4= ecl_boole(ECL_BOOLANDC2,(V1),(T3));
	T5= cl_byte_position(1,V2)                /*  BYTE-POSITION   */;
	T6= cl_ash(T4,T5)                         /*  ASH             */;
	value0=cl_logxor(3,V3,T0,T6)              /*  LOGXOR          */;
	return value0;
}}
/*	function definition for DEPOSIT-FIELD                         */
cl_object cl_deposit_field(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=3) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_byte_position(1,V2)                /*  BYTE-POSITION   */;
	T1= ecl_negate(T0);
	T2= cl_ash(V1,T1)                         /*  ASH             */;
	value0=cl_dpb(3,T2,V2,V3)                 /*  DPB             */;
	return value0;
}}
	
#include "/builddir/build/BUILD/ecl-9.12.3/build/lsp/numlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclk8hBv7yZOhlr9_mRqMFCz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/builddir/build/BUILD/ecl-9.12.3/src/lsp/numlib.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclk8hBv7yZOhlr9_mRqMFCz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	{cl_object V1;                            /*  BITS            */
	V1= si_trap_fpe(ECL_SYM("LAST",453),Cnil) /*  TRAP-FPE        */;
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-EPSILON",755),VVtemp[0]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-EPSILON",777),VVtemp[0]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-EPSILON",314),VVtemp[1]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-EPSILON",507),VVtemp[2]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-NEGATIVE-EPSILON",756),VVtemp[3]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-NEGATIVE-EPSILON",778),VVtemp[3]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-NEGATIVE-EPSILON",315),VVtemp[4]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-NEGATIVE-EPSILON",508),VVtemp[5]) /*  *MAKE-CONSTANT */;
	(void)si_trap_fpe(ECL_SYM("LAST",453),Cnil) /*  TRAP-FPE      */;
	}
	{cl_object V2;                            /*  BITS            */
	V2= si_trap_fpe(ECL_SYM("LAST",453),Cnil) /*  TRAP-FPE        */;
	{cl_object V3;                            /*  A               */
	T0= ecl_make_singlefloat(ecl_to_float(MAKE_FIXNUM(1)));
	T1= ecl_make_singlefloat(ecl_to_float(cl_core.singlefloat_zero));
	V3= ecl_divide(T0,T1);
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-POSITIVE-INFINITY",1623),V3) /*  *MAKE-CONSTANT */;
	T0= (cl_env_copy->function=(ECL_SYM("-",15)->symbol.gfdef))->cfun.entry(1,V3) /*  - */;
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-NEGATIVE-INFINITY",1627),T0) /*  *MAKE-CONSTANT */;
	}
	{cl_object V3;                            /*  A               */
	T0= ecl_make_singlefloat(ecl_to_float(MAKE_FIXNUM(1)));
	T1= ecl_make_singlefloat(ecl_to_float(cl_core.singlefloat_zero));
	V3= ecl_divide(T0,T1);
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-POSITIVE-INFINITY",1624),V3) /*  *MAKE-CONSTANT */;
	T0= (cl_env_copy->function=(ECL_SYM("-",15)->symbol.gfdef))->cfun.entry(1,V3) /*  - */;
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-NEGATIVE-INFINITY",1628),T0) /*  *MAKE-CONSTANT */;
	}
	{cl_object V3;                            /*  A               */
	T0= ecl_make_doublefloat(ecl_to_double(MAKE_FIXNUM(1)));
	T1= ecl_make_doublefloat(ecl_to_double(cl_core.singlefloat_zero));
	V3= ecl_divide(T0,T1);
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-POSITIVE-INFINITY",1625),V3) /*  *MAKE-CONSTANT */;
	T0= (cl_env_copy->function=(ECL_SYM("-",15)->symbol.gfdef))->cfun.entry(1,V3) /*  - */;
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-NEGATIVE-INFINITY",1629),T0) /*  *MAKE-CONSTANT */;
	}
	{cl_object V3;                            /*  A               */
	T0= cl_float(2,MAKE_FIXNUM(1),cl_core.longfloat_zero) /*  FLOAT */;
	T1= cl_float(2,cl_core.singlefloat_zero,cl_core.longfloat_zero) /*  FLOAT */;
	V3= ecl_divide(T0,T1);
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-POSITIVE-INFINITY",1626),V3) /*  *MAKE-CONSTANT */;
	T0= (cl_env_copy->function=(ECL_SYM("-",15)->symbol.gfdef))->cfun.entry(1,V3) /*  - */;
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-NEGATIVE-INFINITY",1630),T0) /*  *MAKE-CONSTANT */;
	}
	(void)si_trap_fpe(V2,Ct)                  /*  TRAP-FPE        */;
	}
	(void)si_Xmake_constant(VV[0],VVtemp[6])  /*  *MAKE-CONSTANT  */;
	(void)0; /* No entry created for ISQRT */
	(void)0; /* No entry created for PHASE */
	(void)0; /* No entry created for SIGNUM */
	(void)0; /* No entry created for CIS */
	(void)0; /* No entry created for ASIN */
	(void)0; /* No entry created for COMPLEX-ASIN */
	(void)0; /* No entry created for ACOS */
	(void)0; /* No entry created for COMPLEX-ACOS */
	(void)0; /* No entry created for ASINH */
	(void)0; /* No entry created for ACOSH */
	(void)0; /* No entry created for COMPLEX-ACOSH */
	(void)0; /* No entry created for ATANH */
	(void)0; /* No entry created for COMPLEX-ATANH */
	(void)0; /* No entry created for FFLOOR */
	(void)0; /* No entry created for FCEILING */
	(void)0; /* No entry created for FTRUNCATE */
	(void)0; /* No entry created for FROUND */
	(void)0; /* No entry created for LOGTEST */
	(void)0; /* No entry created for BYTE */
	(void)0; /* No entry created for BYTE-SIZE */
	(void)0; /* No entry created for BYTE-POSITION */
	(void)0; /* No entry created for LDB */
	(void)0; /* No entry created for LDB-TEST */
	(void)0; /* No entry created for MASK-FIELD */
	(void)0; /* No entry created for DPB */
	(void)0; /* No entry created for DEPOSIT-FIELD */
}
